com.tibco.ftl

## Interface LogStream

-     public interface LogStream

  This interface class defines constants related to Logstream data messages, their field names, and their field values.

  Logstream data messages carry logging and advisory data about FTL programs. Programs can receive the stream of logging data messages by subscribing to the logging endpoint.

  For more information, see the book TIBCO FTL Centralized Logging.

  Customers do not implement this interface.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ENDPOINT_NAME` Name of the special endpoint that carries FTL LogStream messages; string.
    `static java.lang.String` | `FIELD_APP_INSTANCE` Application instance (string value).
    `static java.lang.String` | `FIELD_APPLICATION` Application name (string value).
    `static java.lang.String` | `FIELD_CLIENT_ID` Client ID (string value).
    `static java.lang.String` | `FIELD_CLIENT_LABEL` Client label (string value).
    `static java.lang.String` | `FIELD_CLIENT_STATUS` Client status (long value).
    `static java.lang.String` | `FIELD_EFFECTIVE_USER` Host effective user name (string value).
    `static java.lang.String` | `FIELD_FTL_USER` FTL user name (string value).
    `static java.lang.String` | `FIELD_HOST` Hostname on which client is running (string value).
    `static java.lang.String` | `FIELD_IP` IP address of client (string value).
    `static java.lang.String` | `FIELD_LOGMSG_COMPONENT` Component (string value).
    `static java.lang.String` | `FIELD_LOGMSG_CONTEXT` Context (string value).
    `static java.lang.String` | `FIELD_LOGMSG_EXCEPTION` Exception (string value).
    `static java.lang.String` | `FIELD_LOGMSG_IS_ADVISORY` Is Advisory (boolean value).
    `static java.lang.String` | `FIELD_LOGMSG_LOG_LEVEL` Log Level (string value).
    `static java.lang.String` | `FIELD_LOGMSG_STATEMENT` Statement (string value).
    `static java.lang.String` | `FIELD_LOGMSG_TIMESTAMP` Timestamp (Long value).
    `static java.lang.String` | `FIELD_LOGS` Logs message array (array of LogMsgs).
    `static java.lang.String` | `FIELD_PID` Process ID (long value).
    `static java.lang.String` | `FIELD_REALM_SERVER_LABEL` Realm service label (string value).
    `static java.lang.String` | `FIELD_REALM_UUID` Realm UUID (long string).
    `static java.lang.String` | `FIELD_RECORD_TYPE_LABEL` Record Type Label (string value).
    `static java.lang.String` | `FIELD_REPORTING_SERVER_ID` ID of server to which this client belongs string value).
    `static java.lang.String` | `FIELD_SERVER_ID` Server ID (string value).
    `static java.lang.String` | `FIELD_SERVER_UPTIME` Server uptime in seconds (long value).
    `static java.lang.String` | `FIELD_TIMESTAMP` Time at which the log message was generated (long value), expressed in milliseconds since the epoch.
    `static java.lang.String` | `FIELD_VERSION` FTL version client is running (string value).

- - ### Field Detail

    - #### ENDPOINT_NAME

          static final java.lang.String ENDPOINT_NAME

      Name of the special endpoint that carries FTL LogStream messages; string.

      To receive FTL logging messages, create a subscriber on this endpoint.

      Subscribers on this endpoint receive the stream of logging data messages from the FTL server.

      It is illegal to create a publisher on this endpoint.

      See Also:
        Constant Field Values

    - #### FIELD_REALM_UUID

          static final java.lang.String FIELD_REALM_UUID

      Realm UUID (long string).
      See Also:
        Constant Field Values

    - #### FIELD_CLIENT_LABEL

          static final java.lang.String FIELD_CLIENT_LABEL

      Client label (string value).
      See Also:
        Constant Field Values

    - #### FIELD_CLIENT_STATUS

          static final java.lang.String FIELD_CLIENT_STATUS

      Client status (long value).
      See Also:
        Constant Field Values

    - #### FIELD_LOGS

          static final java.lang.String FIELD_LOGS

      Logs message array (array of LogMsgs). Each message contains a single LogMsg. For the fields contained within each message, see FIELD_LOGMSG_TIMESTAMP, FIELD_LOGMSG_LOG_LEVEL, FIELD_LOGMSG_COMPONENT, FIELD_LOGMSG_CONTEXT, FIELD_LOGMSG_STATEMENT, FIELD_LOGMSG_EXCEPTION, FIELD_LOGMSG_IS_ADVISORY
      See Also:
        Constant Field Values

    - #### FIELD_TIMESTAMP

          static final java.lang.String FIELD_TIMESTAMP

      Time at which the log message was generated (long value), expressed in milliseconds since the epoch.
      See Also:
        Constant Field Values

    - #### FIELD_APPLICATION

          static final java.lang.String FIELD_APPLICATION

      Application name (string value).
      See Also:
        Constant Field Values

    - #### FIELD_APP_INSTANCE

          static final java.lang.String FIELD_APP_INSTANCE

      Application instance (string value).
      See Also:
        Constant Field Values

    - #### FIELD_RECORD_TYPE_LABEL

          static final java.lang.String FIELD_RECORD_TYPE_LABEL

      Record Type Label (string value).
      See Also:
        Constant Field Values

    - #### FIELD_CLIENT_ID

          static final java.lang.String FIELD_CLIENT_ID

      Client ID (string value).
      See Also:
        Constant Field Values

    - #### FIELD_SERVER_ID

          static final java.lang.String FIELD_SERVER_ID

      Server ID (string value).
      See Also:
        Constant Field Values

    - #### FIELD_PID

          static final java.lang.String FIELD_PID

      Process ID (long value).
      See Also:
        Constant Field Values

    - #### FIELD_FTL_USER

          static final java.lang.String FIELD_FTL_USER

      FTL user name (string value).
      See Also:
        Constant Field Values

    - #### FIELD_EFFECTIVE_USER

          static final java.lang.String FIELD_EFFECTIVE_USER

      Host effective user name (string value).
      See Also:
        Constant Field Values

    - #### FIELD_VERSION

          static final java.lang.String FIELD_VERSION

      FTL version client is running (string value).
      See Also:
        Constant Field Values

    - #### FIELD_HOST

          static final java.lang.String FIELD_HOST

      Hostname on which client is running (string value).
      See Also:
        Constant Field Values

    - #### FIELD_IP

          static final java.lang.String FIELD_IP

      IP address of client (string value).
      See Also:
        Constant Field Values

    - #### FIELD_SERVER_UPTIME

          static final java.lang.String FIELD_SERVER_UPTIME

      Server uptime in seconds (long value).
      See Also:
        Constant Field Values

    - #### FIELD_REALM_SERVER_LABEL

          static final java.lang.String FIELD_REALM_SERVER_LABEL

      Realm service label (string value).
      See Also:
        Constant Field Values

    - #### FIELD_REPORTING_SERVER_ID

          static final java.lang.String FIELD_REPORTING_SERVER_ID

      ID of server to which this client belongs string value).
      See Also:
        Constant Field Values

    - #### FIELD_LOGMSG_TIMESTAMP

          static final java.lang.String FIELD_LOGMSG_TIMESTAMP

      Timestamp (Long value).
      See Also:
        Constant Field Values

    - #### FIELD_LOGMSG_LOG_LEVEL

          static final java.lang.String FIELD_LOGMSG_LOG_LEVEL

      Log Level (string value).
      See Also:
        Constant Field Values

    - #### FIELD_LOGMSG_COMPONENT

          static final java.lang.String FIELD_LOGMSG_COMPONENT

      Component (string value).
      See Also:
        Constant Field Values

    - #### FIELD_LOGMSG_CONTEXT

          static final java.lang.String FIELD_LOGMSG_CONTEXT

      Context (string value).
      See Also:
        Constant Field Values

    - #### FIELD_LOGMSG_STATEMENT

          static final java.lang.String FIELD_LOGMSG_STATEMENT

      Statement (string value).
      See Also:
        Constant Field Values

    - #### FIELD_LOGMSG_EXCEPTION

          static final java.lang.String FIELD_LOGMSG_EXCEPTION

      Exception (string value).
      See Also:
        Constant Field Values

    - #### FIELD_LOGMSG_IS_ADVISORY

          static final java.lang.String FIELD_LOGMSG_IS_ADVISORY

      Is Advisory (boolean value).
      See Also:
        Constant Field Values